Skip to main content
Resource Center/Resource Pool/VM Instance Operations
POSTVM Instance OperationsSince 3.3.0SynchronousAuth Required

CreateVmCdRom

CreateVmCdRom

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • nameStringRequired

      The resource name.

    • vmInstanceUuidStringRequired

      The VM instance UUID.

    • isoUuidString

      Optional. The ISO image UUID.

    • descriptionString

      Optional. The detailed description of the resource.

    • resourceUuidString

      Optional. The resource UUID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryVmCdRomInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • vmInstanceUuidStringRequired

      The VM instance UUID.

    • deviceIdIntegerRequired

      The CD-ROM device ID.

    • isoUuidStringRequired

      The ISO image UUID.

    • isoInstallPathStringRequired

      The path to install the ISO image.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

POST/zstack/v1/vm-instances/cdroms

/zstack/v1/vm-instances/cdroms

Operation ID

CreateVmCdRom

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/vm-instances/cdroms' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","vmInstanceUuid":"<vmInstanceUuid>","isoUuid":"<isoUuid>","description":"<description>","resourceUuid":"<resourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "vmInstanceUuid": "47286977f0c530168fdbb1dfbfc167e8", "deviceId": 0.0, "isoUuid": "1712d13459ec3637be1020936e76e5a3", "name": "cd-1", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }

Change History

This API has no change history records yet.

View all change history